%define upstream_name	 Devel-ebug
%define upstream_version 0.55

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A simple, extensible Perl debugger 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/L/LB/LBROCARD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor::Chained::Fast)
BuildRequires: perl(Devel::StackTrace)
BuildRequires: perl(File::Find)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(PadWalker)
BuildRequires: perl(Proc::Background)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::Koremutake)
BuildRequires: perl(Test::Expect)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML)
BuildRequires: perl-Proc-Background
BuildRequires: perl-String-Koremutake
BuildRequires: perl-Test-Expect
BuildRequires: perl-Module-Build
BuildRequires: perl-Devel-StackTrace
BuildRequires: perl-YAML
BuildRequires: perl-Module-Pluggable
BuildRequires: perl-PadWalker
BuildArch:  noarch

%description
A debugger is a computer program that is used to debug other programs. 
Devel::ebug is a simple, extensible Perl debugger with a clean API. Using 
this module, you may easily write a Perl debugger to debug your programs. 

Alternatively, it comes with an interactive debugger, ebug.
%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc CHANGES META.json META.yml MYMETA.yml README TODO
%{perl_vendorlib}/Devel
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.550.0-2.mga4
+ Revision: 526894
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.550.0-1.mga4
+ Revision: 439063
- update to 0.55

* Sun Jan 13 2013 umeabot <umeabot> 0.530.0-4.mga3
+ Revision: 365859
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.530.0-3.mga3
+ Revision: 314969
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 0.530.0-2.mga3
+ Revision: 283538
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 0.530.0-1.mga3
+ Revision: 254237
- update to 0.53
- fix shebang with new perl 5.16 path

* Mon Dec 12 2011 jquelin <jquelin> 0.520.0-1.mga2
+ Revision: 180917
- update to 0.52
- mageia rebuild
- imported package perl-Devel-ebug


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.490.0-1mdv2010.0
+ Revision: 405961
- rebuild using %%perl_convert_version

* Fri Oct 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.49-1mdv2009.1
+ Revision: 294628
- update to new version 0.49

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.48-1mdv2009.0
+ Revision: 135833
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 03 2007 Michael Scherer <misc@mandriva.org> 0.48-1mdv2008.0
+ Revision: 20897
- fix BuildRequires
- update to 0.48


* Fri Mar 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.46-1mdk
- New release 0.46
- spec cleanup

* Fri Dec 16 2005 Michael Scherer <misc@mandriva.org> 0.45-4mdk
- fix BuildRequires

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.45-3mdk
- Fix BuildRequires
- Fix directory ownership

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.45-2mdk
- Buildrequires fix

* Sun Sep 25 2005 Michael Scherer <misc@mandriva.org> 0.45-1mdk
- First mandriva package

